> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gbase.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Highlight Positions



## OpenAPI

````yaml https://api.gbase.ai/openapi-redoc.json post /pdf/highlight
openapi: 3.1.0
info:
  title: GBase
  description: >
    # Introduce

    This API document can help you understand GBase more deeply. 

    You can train your own AI directly through the interface of this document.



    ##  Authentication


    Home page: [https://gbase.ai](https://gbase.ai)


    Huggingface:
    [https://huggingface.co/gptbase](https://huggingface.co/gptbase)


    The GBase API uses API keys for authentication. Visit your API Keys page to
    retrieve the API key you'll use in your requests.


    Remember that your API key is a secret! Do not share it with others or
    expose it in any client-side code (browsers, apps). 

    Production requests must be routed through your own backend server where
    your API key can be securely loaded from an environment variable or key
    management service.


    All API requests should include your API key in an Authorization HTTP header
    as follows:


    Parameter name: Authorization


    Value: Bearer [YOUR_API_KEY](https://admin.gbase.ai/keys)


    ```

    Authorization: Bearer YOUR_API_KEY

    ```


    ## Use steps

    1.Fill in your API keys.


    2.You can create an AI by using either the API interface or the
    administrative backend. Once created, the AI will generate an ID which will
    be required for the subsequent steps.


    3.Use the generated ID to call the file upload interface.


    4.After uploading the file, you can use the question interface to inquire
    about it.
  version: 0.0.1
servers:
  - url: https://api.gbase.ai
security: []
paths:
  /pdf/highlight:
    post:
      tags:
        - PDF Highlight
      summary: Get Highlight Positions
      operationId: get_highlight_positions_pdf_highlight_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HighlightRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HighlightResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HighlightRequest:
      properties:
        file_id:
          type: string
          title: File Id
        text:
          type: string
          title: Text
        page:
          type: integer
          title: Page
      type: object
      required:
        - file_id
        - text
      title: HighlightRequest
    HighlightResponse:
      properties:
        positions:
          items:
            $ref: '#/components/schemas/BboxPosition'
          type: array
          title: Positions
          default: []
        success:
          type: boolean
          title: Success
          default: true
        message:
          type: string
          title: Message
      type: object
      title: HighlightResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BboxPosition:
      properties:
        page:
          type: integer
          title: Page
        matches:
          items:
            items: {}
            type: array
          type: array
          title: Matches
      type: object
      required:
        - page
      title: BboxPosition
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````